Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.shared_orchestra.renderkit.html
Class HtmlRendererUtils.ScriptContext

    java.lang.Object
      org.apache.myfaces.shared_orchestra.renderkit.html.HtmlRendererUtils.ScriptContext

Enclosing class:
  HtmlRendererUtils

    public static class HtmlRendererUtils.ScriptContext

extends java.lang.Object

The ScriptContext offers methods and fields to help with rendering out a script and keeping a proper formatting.

Constructor Summary
`HtmlRendererUtils.ScriptContext()`
`HtmlRendererUtils.ScriptContext(boolean prettyPrint)`
`HtmlRendererUtils.ScriptContext(java.lang.StringBuffer buf, boolean prettyPrint)`

Method Summary
`HtmlRendererUtils.ScriptContext` | `append(char c)`
`HtmlRendererUtils.ScriptContext` | `append(int i)`
`HtmlRendererUtils.ScriptContext` | `append(java.lang.String str)`
`void` | `decreaseIndent()`
`long` | `getCurrentIndentationLevel()`
`void` | `increaseIndent()`
`void` | `prettyLine()`
`void` | `prettyLineDecreaseIndent()`
`void` | `prettyLineIncreaseIndent()`
`void` | `setCurrentIndentationLevel(long currentIndentationLevel)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HtmlRendererUtils.ScriptContext

    public HtmlRendererUtils.ScriptContext()

### HtmlRendererUtils.ScriptContext

    public HtmlRendererUtils.ScriptContext(boolean prettyPrint)

### HtmlRendererUtils.ScriptContext

    public HtmlRendererUtils.ScriptContext(java.lang.StringBuffer buf,
                                           boolean prettyPrint)

Method Detail

### increaseIndent

    public void increaseIndent()

### decreaseIndent

    public void decreaseIndent()

### prettyLine

    public void prettyLine()

### prettyLineIncreaseIndent

    public void prettyLineIncreaseIndent()

### prettyLineDecreaseIndent

    public void prettyLineDecreaseIndent()

### getCurrentIndentationLevel

    public long getCurrentIndentationLevel()

### setCurrentIndentationLevel

    public void setCurrentIndentationLevel(long currentIndentationLevel)

### append

    public HtmlRendererUtils.ScriptContext append(java.lang.String str)

### append

    public HtmlRendererUtils.ScriptContext append(char c)

### append

    public HtmlRendererUtils.ScriptContext append(int i)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation. All Rights Reserved.